> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cubeuaeai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# HappyHorse 1.0 R2V

> 提交参考图生视频任务（1-3 张参考图）。立即返回 `task_id`，通过 `GET /v1/video/generations/{task_id}` 轮询任务状态。



## OpenAPI

````yaml zh/api-reference/model-api/alibaba/openapi/happyhorse-1.0-r2v/openapi.yaml POST /v1/video/generations
openapi: 3.1.0
info:
  title: HappyHorse 1.0 R2V
  description: 通过 Cube AI API 使用阿里 DashScope HappyHorse 1.0 参考图生视频模型
  version: 1.0.0
servers:
  - url: https://ai.cubeuaeai.com
security:
  - bearerAuth: []
paths:
  /v1/video/generations:
    post:
      summary: 创建参考图生视频任务
      description: >
        提交参考图生视频任务（1-3 张参考图）。立即返回 `task_id`，通过 `GET
        /v1/video/generations/{task_id}` 轮询任务状态。
      operationId: createHappyhorse10R2v
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - model
                - prompt
                - images
              properties:
                model:
                  type: string
                  enum:
                    - happyhorse-1.0-r2v
                  description: 模型 ID。
                  example: happyhorse-1.0-r2v
                prompt:
                  type: string
                  description: 视频描述文本。
                  example: 身着红色旗袍的女性轻抬玉手展开折扇
                images:
                  type: array
                  minItems: 1
                  maxItems: 3
                  items:
                    type: string
                  description: 1-3 张参考图 URL。
                  example:
                    - https://example.com/ref1.jpg
                    - https://example.com/ref2.jpg
                    - https://example.com/ref3.jpg
                resolution:
                  type: string
                  enum:
                    - 720P
                    - 1080P
                  default: 1080P
                  description: 视频分辨率。
                  example: 720P
                ratio:
                  type: string
                  enum:
                    - '16:9'
                    - '9:16'
                    - '1:1'
                    - '4:3'
                    - '3:4'
                  default: '16:9'
                  description: 宽高比。
                  example: '16:9'
                duration:
                  type: integer
                  minimum: 3
                  maximum: 15
                  default: 5
                  description: 视频时长（秒）。
                  example: 5
                watermark:
                  type: boolean
                  default: true
                  description: 是否保留右下角 "Happy Horse" 水印。
                  example: false
                seed:
                  type: integer
                  minimum: 0
                  maximum: 2147483647
                  description: 随机种子。
                parameters:
                  type: object
                  description: 可选：相同参数的另一种放置位置（DashScope 原生风格）。
      responses:
        '200':
          description: 任务创建成功
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    example: asyntask_jwgfhsG0m2aDjLmiiELRf74eoWmss6ya
                  task_id:
                    type: string
                    example: asyntask_jwgfhsG0m2aDjLmiiELRf74eoWmss6ya
                  object:
                    type: string
                    example: video
                  model:
                    type: string
                    example: happyhorse-1.0-r2v
                  status:
                    type: string
                    example: queued
                  progress:
                    type: integer
                    example: 0
                  created_at:
                    type: integer
                    example: 1777343862
        '400':
          description: 请求参数错误
        '401':
          description: 未授权
        '429':
          description: 频率限制
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````